<?php
declare(strict_types=1);

namespace Filoblu\Csp\Api\Data;

interface ConfigurationInterface
{

    /**
     * CSP enabled flag
     *
     * @return bool
     */
    public function isCspEnabled(): bool;

    /**
     * Report only mode flag.
     *
     * In "report-only" mode browsers only report violation but do not restrict them.
     *
     * @return bool
     */
    public function isReportOnly(): bool;

    /**
     * URI of endpoint logging reported violations.
     *
     * Even in "restrict" mode violations can be logged.
     *
     * @return string|null
     */
    public function getReportUri(): string;

}
