<?php


namespace FiloBlu\Csp\Observer;

use FiloBlu\Csp\Api\CspRendererInterface;
use Magento\Framework\Event\Observer;
use Magento\Framework\Event\ObserverInterface;
use Magento\Framework\App\Response\HttpInterface as HttpResponse;

class FrontSendResponseBefore implements \Magento\Framework\Event\ObserverInterface
{

    /**
     * @var CspRendererInterface
     */
    private $cspRenderer;

    /**
     * @param CspRendererInterface $cspRenderer
     */
    public function __construct(CspRendererInterface $cspRenderer)
    {
        $this->cspRenderer = $cspRenderer;
    }

    /**
     * Execute observer
     *
     * @param \Magento\Framework\Event\Observer $observer
     * @return void
     */
    public function execute(
        \Magento\Framework\Event\Observer $observer
    ) {
        /** @var HttpResponse $response */
        $response = $observer->getEvent()->getData('response');

        $this->cspRenderer->render($response);
    }
}
